// SimpleViewer.java
//
// Copyright (C) 1996 Dimension X, Inc.
//   Chris Laurel 7-3-96
//
// SimpleViewer is a minimal VRML browser written using the
// Liquid Reality toolkit.  It loads a VRML file specified on
// the command line.

import dnx.lr.*;
import dnx.lr.app.*;
import java.awt.*;


public class SimpleViewer extends AWTEditor
{
   public SimpleViewer(AWTDocument document)
   {
      super(document, (NodeInstance) null);
   }

   public static void main(String args[])
   {
      ApplicationDocument document = new ApplicationDocument();
      SimpleViewer viewer = new SimpleViewer(document);   // Create an editor
      View3D view = new View3D(viewer, 400, 300);         // Create a view
      viewer.addView(view);                        // Give the editor a view
      viewer.setTool(new WalkViewerTool());        // Set the editor's tool to be
                                                   //    a walk viewer.
      document.addEditor(viewer);                  // Add the editor to the document

      Frame frame = new Frame("Simple VRML Viewer"); // Create a new frame
      frame.setLayout(new FlowLayout());             // Set its layout manager
      frame.add(view.getView3DCanvas());             // Add the view's canvas
      frame.resize(new Dimension(440, 340));         // Resize and show the frame
      frame.show();

      document.loadScene(args[0]);      // Load the scene from the URL
                                        //    given in the command line
      document.runScene();              // Start handling ROUTEd events
      document.start();                 // Run the document, causing periodic
                                        //    redisplays
   }

}

